
From: Jon Smirl <jonsmirl@yahoo.com>

Using 2.6.5-rc2 bitkeeper with Logitech PS/2 Internet keyboard on a Dell
PE400SC.  I needed to backout this change to make my PS/2 keyboard work
again.  It broke during the big input patch from a couple of days ago but I
just got around to debugging it.  Without this change atkbd.c gets zeros
back from the keyboard during probe and won't recognize it.


---

 25-akpm/drivers/input/serio/serio.c |    3 ---
 1 files changed, 3 deletions(-)

diff -puN drivers/input/serio/serio.c~logitech-keyboard-fix drivers/input/serio/serio.c
--- 25/drivers/input/serio/serio.c~logitech-keyboard-fix	2004-03-22 20:52:33.653981272 -0800
+++ 25-akpm/drivers/input/serio/serio.c	2004-03-22 20:52:33.655980968 -0800
@@ -195,9 +195,6 @@ irqreturn_t serio_interrupt(struct serio
                 ret = serio->dev->interrupt(serio, data, flags, regs);
 	} else {
 		if (!flags) {
-			if ((serio->type == SERIO_8042 ||
-				serio->type == SERIO_8042_XL) && (data != 0xaa))
-					return ret;
 			serio_rescan(serio);
 			ret = IRQ_HANDLED;
 		}

_
